Page 1 of 1

Pi import errror!

Posted: Tue Mar 25, 2014 11:16 am
by Sam_B
Hi.

quick question this time, When i got the latest DexterInd image, i tried (as part of installation) typing import BrickPi, its brings up. bash:import: command not found? how can i get this to work?

Sam

Re: Pi import errror!

Posted: Tue Mar 25, 2014 12:24 pm
by DeeJay
Sam_B wrote:Hi.

quick question this time, When i got the latest DexterInd image, i tried (as part of installation) typing import BrickPi, its brings up. bash:import: command not found? how can i get this to work?

Sam
The command import BrickPi looks like something you would type into a python script.

The error bash:import: command not found shows that you must have typed it into the shell (command line)

Re: Pi import errror!

Posted: Wed May 21, 2014 8:16 pm
by williamhbell
Sam_B wrote:Hi.

quick question this time, When i got the latest DexterInd image, i tried (as part of installation) typing import BrickPi, its brings up. bash:import: command not found? how can i get this to work?

Sam
Hi Sam,

The BrickPi Python code has since been packaged as a PyPi package:
https://pypi.python.org/pypi/BrickPi
You can just use Raspbian and then follow the instructions at the top of the BrickPi article in Issue 23 of The MagPi. As DeeJay says, the import command should be part of the top of the example code rather than an installation step.

Best regards,

Will